Modify

Opened 5 years ago

Closed 5 years ago

#13105 closed enhancement (fixed)

java.util.jar.Attributes read WARNING: Duplicate name in Manifest

Reported by: naoliv Owned by: naoliv
Priority: minor Milestone:
Component: Plugin CustomizePublicTransportStop Version:
Keywords: Cc:

Description

While opening JOSM I saw this:

INFO: GET https://josm.openstreetmap.de/pluginicons?plugins=Create_grid_of_ways,OpeningHoursEditor,PicLayer,RoadSigns,SimplifyArea,apache-commons,buildings_tools,conflation,contourmerge,download_along,editgpx,ejml,geotools,imagery_offset_db,importvec,indoorhelper,jts,log4j,measurement,merge-overlap,opendata,pbf,pdfimport,poly,reverter,scripting,todo,turnrestrictions,undelete,utilsplugin2 -> 200
jul 04, 2016 10:10:34 AM java.util.jar.Attributes read
WARNING: Duplicate name in Manifest: ru_Plugin-Description.
Ensure that the manifest does not have duplicate entries, and
that blank lines separate individual sections in both your
manifest and in the META-INF/MANIFEST.MF entry in the jar file.
jul 04, 2016 10:10:34 AM java.util.jar.Attributes read
WARNING: Duplicate name in Manifest: ru_Plugin-Description.
Ensure that the manifest does not have duplicate entries, and
that blank lines separate individual sections in both your
manifest and in the META-INF/MANIFEST.MF entry in the jar file.

Couldn't we have a message saying which plugin has problems/warnings?
As it is now it seems that it's not possible to know exactly which one has this problem.

JOSM:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-07-03 22:16:57 +0200 (Sun, 03 Jul 2016)
Build-Date:2016-07-04 01:32:21
Revision:10513
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10513 pt_BR) Linux Debian GNU/Linux testing (stretch)
Memory Usage: 247 MB / 10206 MB (114 MB allocated, but free)
Java version: 1.8.0_91-8u91-b14-3-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
VM arguments: [-Dawt.useSystemAAFontSettings=on]

Plugins:
- Create_grid_of_ways (32309)
- OpeningHoursEditor (32309)
- PicLayer (32329)
- RoadSigns (32309)
- SimplifyArea (32309)
- apache-commons (32309)
- buildings_tools (32309)
- conflation (0.2.0)
- contourmerge (1014)
- download_along (32309)
- editgpx (32309)
- ejml (32309)
- geotools (32309)
- imagery_offset_db (32329)
- importvec (32309)
- indoorhelper (32326)
- jts (32311)
- log4j (32309)
- measurement (32324)
- merge-overlap (32309)
- opendata (32351)
- pbf (32309)
- pdfimport (32309)
- poly (32309)
- reverter (32309)
- scripting (30723)
- todo (29154)
- turnrestrictions (32386)
- undelete (32309)
- utilsplugin2 (32333)

Attachments (0)

Change History (3)

comment:1 Changed 5 years ago by stoecker

Owner: changed from team to naoliv
Status: newneedinfo

Hmm, can you please try to find the plugin responisble for this:

unzip -c plugin.jar META-INF/MANIFEST.MF

Shows you the manifest of you files (Or try whatever zip tool you want).

Maybe also step-by-setp disabling the plugins should tell you.

Last edited 5 years ago by stoecker (previous) (diff)

comment:2 Changed 5 years ago by naoliv

greping every META-INF/MANIFEST.MF I only found imagery_offset_db.jar with ru_Plugin-Description:

Manifest-Version: 1.0
Ant-Version: Apache Ant 1.9.3
Created-By: 1.7.0_80-b15 (Oracle Corporation)
Plugin-Mainversion: 10279
Plugin-Version: 32329
Plugin-Class: iodb.ImageryOffsetPlugin
Plugin-Description: Database of imagery offsets: share and aquire imag
 ery offsets with one button.
Plugin-Date: 2016-06-19T14:08:56.203546Z
Author: Ilya Zverev
Plugin-Link: https://wiki.openstreetmap.org/wiki/Imagery_Offset_Databa
 se
Plugin-Icon: images/iodb.png
Plugin-Canloadatruntime: true
ru_Author: Илья Зверев
ru_Plugin-Description: База данных смещений подл
 ожек: загружайте и делитесь смещениям
 и одной кнопкой.
ru_Plugin-Link: https://wiki.openstreetmap.org/wiki/RU:Imagery_Offset_
 Database



The strange thing is that even after disabling and removing this file, I still see one message:

WARNING: Duplicate name in Manifest: ru_Plugin-Description.
Ensure that the manifest does not have duplicate entries, and
that blank lines separate individual sections in both your
manifest and in the META-INF/MANIFEST.MF entry in the jar file.

But what I was initially thinking is if JOSM could print the affected/problematic plugin name (or filename).
I guess it won't be useful for the end user but somebody developing a plugin could see that there is some kind of problem with their code.

comment:3 Changed 5 years ago by stoecker

Component: CorePlugin CustomizePublicTransportStop
Resolution: fixed
Status: needinfoclosed

Should be fixed in [o32562] and [o32564]. Wrong Uppercase-entry and right lower-case entry caused that in the server-side manifest list.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain naoliv.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.